Description which sort types are supported on which fields of which types

### Hierarchy

- SCBackendConfigurationSortableField

## Index

### Properties

- fieldName
- onlyOnTypes
- sortTypes

## Properties

### fieldName

fieldName: string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4473

Field name which the sorts should be available on

### Optional onlyOnTypes

onlyOnTypes: SCThingType[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4479

A list of SC types on which this field exists

If no type is given it is assumed it exists on every type

### sortTypes

sortTypes: SCSearchSortType[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4483

A list of supported sorts on this field

Generated using TypeDoc